package untitled7;

import java.awt.image.*;
import java.awt.geom.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Frame1 extends JFrame {
  JPanel contentPane;
  BorderLayout borderLayout1 = new BorderLayout();
  BufferedImage pilt1=new BufferedImage(100, 100, BufferedImage.TYPE_INT_RGB);
  BufferedImage pilt2=new BufferedImage(100, 100, BufferedImage.TYPE_INT_RGB);

  public void paint(Graphics g){
    g.drawImage(pilt1, 25, 50, this);
    g.drawImage(pilt2, 175, 50, this);
  }

  /**Construct the frame*/
  public Frame1() {
    Graphics g = pilt1.createGraphics();
    g.setColor(Color.red);
    g.fillRect(0,0,100,100);
    g.setColor(Color.blue);
    g.fillOval(30,30,40,40);
    float andmed[] = new float[100];
    for(int i = 0; i < 100; i++) andmed[i]=0.01f;
    ConvolveOp co = new ConvolveOp(new Kernel(10, 10, andmed));
    co.filter(pilt1, pilt2);
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  /**Component initialization*/
  private void jbInit() throws Exception  {
    //setIconImage(Toolkit.getDefaultToolkit().createImage(Frame1.class.getResource("[Your Icon]")));
    contentPane = (JPanel) this.getContentPane();
    contentPane.setLayout(borderLayout1);
    this.setSize(new Dimension(400, 300));
    this.setTitle("Frame Title");
  }
  /**Overridden so we can exit when window is closed*/
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }
}